package shooting;
import java.awt.*;
import javax.swing.ImageIcon;

	/**
	* Bullet Class<p>
	* Movement, draw methods
	*/
	public class Booster extends GameObject
	{
		int type; // type of the booster
		static int atomcounter; //counts the number of Nuclear Charges the player has
		Image image, image2, image3; //hold the loaded images in memory
		/**
		 * Constructor
		 */
		Booster()
		{
			//Initialization(False)
			active = false;
		}
		
		/**
		 * Movement declaration.Called once for each main loop.
		 */
		public void move()
		{
			y++;
			
			//Deactivate instance when it is out of screen.
			if ((500 < y) )
			{
				active = false;
			}
		}
			
		//loading images for later use
		   private void loadImage() {
		        ImageIcon icon = new ImageIcon(getClass().getResource("health.png"));
		        image = icon.getImage();
		        ImageIcon icon2 = new ImageIcon(getClass().getResource("gun.png"));
		        image2 = icon2.getImage();
		        ImageIcon icon3 = new ImageIcon(getClass().getResource("atom.png"));
		        image3 = icon3.getImage();
		   }
		
		   /**
			 * draw method
			 * called once for each main loop.
			 * @param g graphic handler
			 */
		public void draw(Graphics g)
		{			
			if (this.type == 1)
				g.drawImage(image,(int)x-16,(int)y-16,null);
			else if (this.type == 0)
				g.drawImage(image2,(int)x-16,(int)y-16,null);
			else
				g.drawImage(image3,(int)x-16,(int)y-16,null);
		}
		
		/**
		 * activate the instance.
		 * initialization is done here too.
		 * @param ix x coordinate where the object is produced
		 * @param iy y coordinate where the object is produced
		 */
		public void activate(double ix, double iy)
		{
			x = ix;
			y = iy;
			active = true;		//Activate the bullet instance
			type =  (int) (Math.random()*3); //choses random type of the booster to appear
			loadImage(); //loading images according to type
		}

	}