package shooting;
import java.awt.*;

import javax.swing.ImageIcon;

/**
*	Bullet Class<p>
*	Manages player bullets
*	Movement, draw methods
*/
public class MyBullet extends GameObject
{
	static int type = 0;
	static int counter;
	Image image, image2;
	/**
	 * constructor
	 */
	MyBullet()
	{
		active = false;
	}
	
	/**
	 * movement per step
	 */
	public void move()
	{
        y -= 15;
		//Deactivate when it is out of screen
		if (y < 0) 
			active = false;		
	}
	
	/**
	 * draw
	 * called once per main loop
	 * @param g graphic handler
	 */
		private void loadImage() {
	       ImageIcon icon = new ImageIcon(getClass().getResource("bullet2.png"));
	        image = icon.getImage();
	        ImageIcon icon2 = new ImageIcon(getClass().getResource("bullet4.png"));
	        image2 = icon2.getImage();
		}	
	public void draw(Graphics g)
	{
		if (type == 0)
		{
			g.drawImage(image,(int)(x-6),(int)(y-8),null);
		}
		else
		{
			g.drawImage(image2,(int)(x-15),(int)(y-8),null);
			g.drawImage(image2,(int)(x+5),(int)(y-8),null);
		}
	}
	
	//Initialization
	public void activate(double ix, double iy)
	{		
		loadImage();
		x = ix;
		y = iy;
		active = true;			//Deactivation
	}
}


