package shooting;
import java.awt.*;

import javax.swing.ImageIcon;

/**
*Enemy Class<p>
*Movement, draw methods
*/
public class Sidekick extends GameObject
{
	//ishit Flag
	static boolean isactive = false;
	static boolean is2active = false;
	//Reference to player instance
	Player player;
	//startshoot flag
	boolean startshoot;
	int counter;
	int hitpoint;
	int shootnum; //number of pellets shot
	Image image; //hold the loaded images in memory

	/**
	 * Constructor
	 * @param Pass the player's instance, for recognizing player's location.
	 */
	Sidekick(Player iplayer)
	{
		//Detect player
		player = iplayer;
		//Initialization(False)
		active = false;
	}

	/**
	 * activate the instance.
	 * initialization is done here too.
	 * @param ix x coordinate where the object is produced
	 * @param iy y coordinate where the object is produced
	 */
	public void activate(double ix, double iy)
	{
		x = ix;
		y = iy;
		hitpoint = 5;
		active = true;			//Activate the bullet instance
		startshoot = false;
		loadImage();
	}

	/**
	 * Behavior of enemy when it is hit by player's bullet
	 */
	public void hit()
	{
		//Decrease hitpoint
		hitpoint--;
		ObjectPool.newNukegraphic(x, y, 45, 2);
		if (hitpoint < 0)
		{
			if (Sidekick.isactive == true && Sidekick.is2active == true)
			{
				Sidekick.is2active = false;
				active = false;
			}
			else
			{
				Sidekick.isactive = false;
				active = false;
			}
		}
	}
	
	/**
	 * 
	 */
	public void move()
	{
		x = player.x;
		y = player.y;
	}
	
	/**
	 * Enemy1 movement
	 */
	

	/**
	 * Enemy2 movement
	 */
	
	
	
	/**
	 * Draw method
	 * Called for each main loop.
	 * @param g graphic handler
	 */
	
	 private void loadImage() {
	        ImageIcon icon = new ImageIcon(getClass().getResource("sidekick.gif"));
	        image = icon.getImage();
	        
	   }
	
	public void draw(Graphics g)
	{
		if (player.active)
		{
			if (is2active == true)
			{
				g.drawImage(image,(int)(player.x+20+5*Math.random()),(int)(player.y),null);
				g.drawImage(image,(int)(player.x-40-5*Math.random()),(int)(player.y),null);
			}
			else
				g.drawImage(image,(int)(player.x+20+5*Math.random()),(int)(player.y),null);
		}	
	}
}


