package shooting;
import java.awt.*;
//title page
public class Title
{
	int count;
	Font titleFont;
	Font infoFont;
	
	Title()
	{
		count = 0;
		titleFont = new Font("times new roman", Font.BOLD, 35);
		infoFont = new Font("times new roman", Font.BOLD, 20);
	}
	
	public void drawTitle(Graphics g)
	{
		g.setColor(Color.white);
		count++;
		g.setFont(titleFont);
		g.drawString("A L I E N   A T T A C K", 80, 150);

		if (count%2 == 0)
		{
			g.setFont(infoFont);
			g.drawString("Hit SPACE to begin", 165, 350);
		}
	}

	public void drawGameover(Graphics g)
	{
		Level.sequencer.close(); //closing sound player
		//set the number of boosters to zero
		Booster.atomcounter = 0; 
		MyBullet.counter = 0;
		g.setColor(Color.white);
		count++;
		g.setFont(titleFont);
		g.drawString("G A M E   O V E R", 100, 150);
		g.setFont(infoFont);
		g.drawString("Hit SPACE to Restart", 165, 350);
	}
	
}
